<!DOCTYPE html>
<html>
<head>
    <title>User Management</title>
    <style>
        html {
            font-family: Arial, Helvetica, sans-serif;
            width: 60%;
            margin: auto;
        }

        h1 {
            color: #048186;
        }

        input[type=text], select {
            width: 100%;
            padding: 12px 20px;
            margin: 8px 0;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }

        input[type=submit] {
            width: 100%;
            background-color: #04a4aa;
            color: white;
            padding: 14px 20px;
            margin: 8px 0;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        input[type=submit]:hover {
            background-color: #04a4aa;
        }

        table {
            border-collapse: collapse;
            width: 100%;
        }

        table td, table th {
            border: 1px solid #ddd;
            padding: 8px;
        }

        table tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        table tr:hover {
            background-color: #ddd;
        }

        table th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #04a4aa;
            color: white;
        }

        .error {
            color: red ;
            font-size: 30px;
            font-weight: bold;
            text-align: center;
            margin: 10px;
        }
    </style>
</head>
<body>
{% for notice in app.flashes('notice') %}
    <div class="error">{{ notice }}</div>
{% endfor %}
<h1>Add user form</h1>

<form action="/user" method="POST">
    {{ form_widget(form) }}
    <input type="submit" value="Add user">
</form>

<h1>User list</h1>

<table>
    <tr>
        <th>User</th>
        <th>Delete</th>
    </tr>
    {% for user in users %}
        <tr>
            <td>{{ user.data }}</td>
            <td>
                <a href="{{ path('handle_user_deleting', {id: user.id}) }}"
                   onclick="return confirm('Are you sure to delete this user?')">Delete</a>
            </td>

        </tr>
    {% endfor %}
</table>

</body>
</html>

